Summary: NVMe management command line interface
Name: nvme-cli
Version: 2.5
Release: 4%{?dist}
License: GPLv2+
URL: https://github.com/linux-nvme/%{name}
Source0: https://github.com/linux-nvme/%{name}/archive/refs/tags/v%{version}.tar.gz

BuildRequires: meson >= 0.50.0 gcc gcc-c++
BuildRequires: zlib-devel openssl-devel libuuid-devel
BuildRequires: libnvme-devel >= 1.5 json-c-devel >= 0.14
BuildRequires: systemd-devel asciidoc xmlto

Requires(post): util-linux

%description
nvme-cli provides NVM-Express user space tooling for Linux.

%prep
%autosetup -n %{name}-%{version}

%build
%meson -Dudevrulesdir=%{_udevrulesdir} -Dsystemddir=%{_unitdir} \
-Ddocs=man -Ddocs-build=true
%meson_build

%install
%meson_install

# unique file per machine, remove them
rm -f %{buildroot}%{_sysconfdir}/nvme/hostid
rm -f %{buildroot}%{_sysconfdir}/nvme/hostnqn

# Don't install the dracut rule.
rm -f %{buildroot}/usr/lib/dracut/dracut.conf.d/70-nvmf-autoconnect.conf

%post
if [ $1 -eq 1 ] || [ $1 -eq 2 ]; then
    if [ ! -s %{_sysconfdir}/nvme/hostnqn ]; then
        echo $(nvme gen-hostnqn) > %{_sysconfdir}/nvme/hostnqn
    fi
    if [ ! -s %{_sysconfdir}/nvme/hostid ]; then
        uuidgen > %{_sysconfdir}/nvme/hostid
    fi
fi

%files
%license LICENSE
%doc README.md
%{_sbindir}/nvme
%{_datadir}/bash-completion/completions/nvme
%{_datadir}/zsh/site-functions/_nvme
%dir %{_sysconfdir}/nvme
%{_sysconfdir}/nvme/discovery.conf
%{_unitdir}/nvmefc-boot-connections.service
%{_unitdir}/nvmf-autoconnect.service
%{_unitdir}/nvmf-connect.target
%{_unitdir}/nvmf-connect@.service
%{_udevrulesdir}/70-nvmf-autoconnect.rules
%{_udevrulesdir}/71-nvmf-iopolicy-netapp.rules
%{_mandir}/man1/nvme*.gz


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Jul 21 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.5-1
- Upgrade to upstream version 2.5

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 27 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.4-1
- Update to version 2.4

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 07 2022 cunshunxia <cunshunxia@tencent.com> - 2.2.1-1
- upgrade to 2.2.1
- rebuild for libnvme 1.2.

* Fri Jul 08 2022 Yi Lin <nilusyi@tencent.com> - 2.0-1
- package init.
